{
  lib,
  pkgs,
  system,
  ...
}:
let
  isArm = "aarch64-linux" == system;
in
{
  boot = {
    # Enable AppImage
    binfmt.registrations.appimage = lib.mkIf (!isArm) {
      wrapInterpreterInShell = lib.mkDefault false;
      interpreter = "${lib.getExe pkgs.appimage-run}/bin/appimage-run";
      recognitionType = "magic";
      offset = 0;
      mask = "\\xff\\xff\\xff\\xff\\x00\\x00\\x00\\x00\\xff\\xff\\xff";
      magicOrExtension = "\\x7fELF....AI\\x02";
    };
  };
}
